Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service.impl
Class CheckMethodSecurityInterceptor

    java.lang.Object
      org.acegisecurity.intercept.AbstractSecurityInterceptor
          com.jaspersoft.jasperserver.api.metadata.user.service.impl.CheckMethodSecurityInterceptor

All Implemented Interfaces:
  org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationEventPublisherAware, org.springframework.context.MessageSourceAware

    public class CheckMethodSecurityInterceptor

extends org.acegisecurity.intercept.AbstractSecurityInterceptor
implements org.aopalliance.intercept.MethodInterceptor

Used to check access to methods, not run them.

Author:
  swood

Field Summary

Fields inherited from class org.acegisecurity.intercept.AbstractSecurityInterceptor
`logger, messages`

Constructor Summary
`CheckMethodSecurityInterceptor()`

Method Summary
`org.acegisecurity.intercept.method.MethodDefinitionSource` | `getObjectDefinitionSource()`
`java.lang.Class` | `getSecureObjectClass()`
`java.lang.Object` | `invoke(org.aopalliance.intercept.MethodInvocation mi)`
`org.acegisecurity.intercept.ObjectDefinitionSource` | `obtainObjectDefinitionSource()`
`void` | `setObjectDefinitionSource(org.acegisecurity.intercept.method.MethodDefinitionSource newSource)`

Methods inherited from class org.acegisecurity.intercept.AbstractSecurityInterceptor
`afterInvocation, afterPropertiesSet, beforeInvocation, getAccessDecisionManager, getAfterInvocationManager, getAuthenticationManager, getRunAsManager, isAlwaysReauthenticate, isRejectPublicInvocations, isValidateConfigAttributes, setAccessDecisionManager, setAfterInvocationManager, setAlwaysReauthenticate, setApplicationEventPublisher, setAuthenticationManager, setMessageSource, setRejectPublicInvocations, setRunAsManager, setValidateConfigAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckMethodSecurityInterceptor

    public CheckMethodSecurityInterceptor()

Method Detail

### getObjectDefinitionSource

    public org.acegisecurity.intercept.method.MethodDefinitionSource getObjectDefinitionSource()

### getSecureObjectClass

    public java.lang.Class getSecureObjectClass()

  Specified by:
    `getSecureObjectClass` in class `org.acegisecurity.intercept.AbstractSecurityInterceptor`

### obtainObjectDefinitionSource

    public org.acegisecurity.intercept.ObjectDefinitionSource obtainObjectDefinitionSource()

  Specified by:
    `obtainObjectDefinitionSource` in class `org.acegisecurity.intercept.AbstractSecurityInterceptor`

### setObjectDefinitionSource

    public void setObjectDefinitionSource(org.acegisecurity.intercept.method.MethodDefinitionSource newSource)

### invoke

    public java.lang.Object invoke(org.aopalliance.intercept.MethodInvocation mi)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.